#logging
logging:
    level:
        com.bcxin: debug
        org.springframework: warn

spring:
    datasource:
        name: prod
        # 使用druid数据源
        type: com.alibaba.druid.pool.DruidDataSource
        dynamic:
            primary: master #设置默认的数据源或者数据源组,默认值即为master
            strict: false #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
            datasource:
                master:
                    url: jdbc:mysql://datalink.te.baibaodun.com.cn:15423/police_test?useUnicode=true&characterEncoding=utf8&serverTimezone=GMT%2B8&useOldAliasMetadataBehavior=true&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
                    username: bcx
                    password: 0QJp2UbEf$NK
                    driver-class-name: com.mysql.cj.jdbc.Driver
                slave_1:
                    url: jdbc:mysql://49.4.84.49:18882/whdb?characterEncoding=UTF-8&serverTimezone=GMT%2B8&useSSL=false&allowPublicKeyRetrieval=true&zeroDateTimeBehavior=CONVERT_TO_NULL
                    username: bcx
                    password: Bcx#20231103
                    driver-class-name: com.mysql.cj.jdbc.Driver
        filters: stat
        maxActive: 20
        initialSize: 1
        maxWait: 60000
        minIdle: 1
        timeBetweenEvictionRunsMillis: 60000
        minEvictableIdleTimeMillis: 300000
        validationQuery: select 1 from dual
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true
        maxOpenPreparedStatements: 20
    redis:
        host: 49.4.21.141
        port: 6379
        password: Bcx#2023
        database: 0
        timeout: 10000
        lettuce:
            pool:
                max-active: 8
                max-idle: 8
                min-idle: 0
                max-wait: 10000
        redisPrefixKey: PSSSP_TEST
debug: true
